Package org.eclipse.emf.cdo.common.revision

# Class CDORevisionUtil.CDORevisionComparator

java.lang.Object
org.eclipse.emf.cdo.common.revision.CDORevisionUtil.CDORevisionComparator

All Implemented Interfaces:
  `Comparator<CDORevisionKey>`

Enclosing class:
  CDORevisionUtil

public static class CDORevisionUtil.CDORevisionComparator extends Object implements Comparator<CDORevisionKey>
Compares `revision keys` by `ID` and `version`.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDORevisionComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(CDORevisionKey rev1, CDORevisionKey rev2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### CDORevisionComparator

public CDORevisionComparator()

## Method Details

### compare

public int compare(CDORevisionKey rev1, CDORevisionKey rev2)

Specified by:
  `compare` in interface `Comparator<CDORevisionKey>`